org.apache.commons.jexl.util.introspection

## Interface VelPropertySet

All Known Implementing Classes:
  UberspectImpl.VelSetterImpl

    public interface VelPropertySet

Interface used for setting values that appear to be properties in Velocity. Ex. #set($foo.bar = "hello")

Since:
  1.0
Version:
  $Id: VelPropertySet.java 584046 2007-10-12 05:14:37Z proyal $
Author:
  Geir Magnusson Jr.

### Method Summary

Methods
`java.lang.String` `getMethodName()` returns the method name used to set this 'property'.
`java.lang.Object` `invoke(java.lang.Object o, java.lang.Object arg)` method used to set the value in the object.
`boolean` `isCacheable()` specifies if this VelPropertySet is cacheable and able to be reused for this class of object it was returned for.

### Method Detail

#### invoke

    java.lang.Object invoke(java.lang.Object o,
                          java.lang.Object arg)
                            throws java.lang.Exception

method used to set the value in the object.

Parameters:
  `o` - Object on which the method will be called with the arg
  `arg` - value to be set
Returns:
  the value returned from the set operation (impl specific)
Throws:
  `java.lang.Exception` - on any error.

#### isCacheable

    boolean isCacheable()

specifies if this VelPropertySet is cacheable and able to be reused for this class of object it was returned for.

Returns:
  true if can be reused for this class, false if not

#### getMethodName

    java.lang.String getMethodName()

returns the method name used to set this 'property'.

Returns:
  the method name.